# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Functions

# boost::locale::as Namespace Reference
[Message Formatting (translation)]

This namespace includes all manipulators that can be used on IO streams. More...

## Functions

std::ios_base & | posix (std::ios_base &ios)
std::ios_base & | number (std::ios_base &ios)
std::ios_base & | currency (std::ios_base &ios)
std::ios_base & | percent (std::ios_base &ios)
std::ios_base & | date (std::ios_base &ios)
std::ios_base & | time (std::ios_base &ios)
std::ios_base & | datetime (std::ios_base &ios)
std::ios_base & | strftime (std::ios_base &ios)
std::ios_base & | spellout (std::ios_base &ios)
std::ios_base & | ordinal (std::ios_base &ios)
std::ios_base & | currency_default (std::ios_base &ios)
std::ios_base & | currency_iso (std::ios_base &ios)
std::ios_base & | currency_national (std::ios_base &ios)
std::ios_base & | time_default (std::ios_base &ios)
std::ios_base & | time_short (std::ios_base &ios)
std::ios_base & | time_medium (std::ios_base &ios)
std::ios_base & | time_long (std::ios_base &ios)
std::ios_base & | time_full (std::ios_base &ios)
std::ios_base & | date_default (std::ios_base &ios)
std::ios_base & | date_short (std::ios_base &ios)
std::ios_base & | date_medium (std::ios_base &ios)
std::ios_base & | date_long (std::ios_base &ios)
std::ios_base & | date_full (std::ios_base &ios)
template<typename CharType >
unspecified_type | ftime (std::basic_string< CharType > const &format)
template<typename CharType >
unspecified_type | ftime (CharType const *format)
std::ios_base & | gmt (std::ios_base &ios)
std::ios_base & | local_time (std::ios_base &ios)
unspecified_type | time_zone (char const *id)
unspecified_type | time_zone (std::string const &id)
unspecified_type | domain (std::string const &id)

## Detailed Description

This namespace includes all manipulators that can be used on IO streams.